Show / Hide Table of Contents

# Class Extensions

A class providing various extension methods.

##### Inheritance

Object
Extensions

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class Extensions

### Methods

| Improve this Doc View Source

#### GetDefault(Type)

Gets the default value for a given Type.

##### Declaration

    public static object GetDefault(this Type type)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type | the Type to get the default value for

##### Returns

Type | Description
--- | ---
Object | the default value of `type`

| Improve this Doc View Source

#### Unwrap(Nullable<Boolean>)

Unwraps a Nullable<T> where T is Boolean such that if the value is null, it gives false.

##### Declaration

    public static bool Unwrap(this bool? self)

##### Parameters

Type | Name | Description
--- | --- | ---
Nullable<Boolean> | self | the bool? to unwrap

##### Returns

Type | Description
--- | ---
Boolean | the unwrapped value, or false if it was null